<div class="fheight d-flex align-center justify-center bg-blue-50">
  <v-card
    class="mx-auto rounded-md !shadow-lg"
    style="max-height: 768px; height: 100%; max-width: 1200px; width: 100%"
  >
    <v-row no-gutters class="h-full">
      <v-col
        cols="12"
        sm="6"
        class="d-none d-sm-block"
        style="width: 449px !important"
      >
        <v-card class="overflow-hidden !shadow-none" height="100%">
          <div class="fheight">
            <img
              src="~/assets/images/auth/login.png"
              alt=""
              width="auto"
              height="auto"
              class="bg-auth"
            />
          </div>
        </v-card>
      </v-col>
      <v-col cols="12" sm="6">
        <v-card class="elevation-0 pa-16 bg-blue-100 h-full">
          <div class="h-full d-flex flex-col justify-between !flex-nowrap">
            <div>
              <p class="mb-0 text-2xl font-semibold leading-8 text-blue-500">
                Welcome Back!
              </p>
              <!-- <p
                class="mb-0 text-2xl font-semibold leading-8 text-blue-500"
                v-if="!isAdmin"
              >
                Logging as Seller
              </p> -->
              <p class="mb-0 leading-6">Using your account to login</p>
              <div class="mt-12" id="hideBottomInput">
                <p class="mb-0 text-sm text-gray-500">Email</p>
                <!-- readonly onfocus="this.removeAttribute('readonly');"  -->
                <v-text-field
                  dense
                  placeholder="Enter your email"
                  outlined
                  v-model="user.email"
                  @keyup.enter="onHandleLogin"
                >
                </v-text-field>
              </div>
              <div class="my-4" id="hideBottomInput">
                <p class="mb-0 text-sm text-gray-500">Password</p>
                <v-text-field
                  dense
                  placeholder="Enter your password"
                  v-model="user.password"
                  class="input-style"
                  @keyup.enter="onHandleLogin"
                  :append-icon="isHidePassword ? 'mdi-eye' : 'mdi-eye-off'"
                  :type="isHidePassword ? 'text' : 'password'"
                  @click:append="isHidePassword = !isHidePassword"
                  outlined
                >
                </v-text-field>
              </div>
              <div class="my-4" id="hideBottomInput" v-if="isTwofa">
                <p class="mb-0 text-sm text-gray-500">Twofa code</p>
                <v-text-field
                  dense
                  placeholder="Enter your code"
                  v-model="user.code"
                  class="input-style"
                  @keyup.enter="onHandleLogin"
                  outlined
                >
                </v-text-field>
              </div>
              <!-- <div class="my-4">
                <nuxt-link to="/auth/forgot-password">
                  <p class="mb-0 text-right text-neutral-500 text-sm leading-20">
                    Forgot Password?
                  </p>
                </nuxt-link>
              </div> -->
              <div>
                <div class="mt-6">
                  <v-btn
                    color="#3887F1"
                    block
                    class="rounded-md elevation-0"
                    @click="onHandleLogin"
                    height="40px"
                    :disabled="loading"
                  >
                    <v-progress-circular
                      indeterminate
                      color="#fff"
                      v-if="loading"
                      size="22"
                    >
                    </v-progress-circular>
                    <p class="mb-0 text-white capitalize" v-else>Sign In</p>
                  </v-btn>
                </div>
                <!-- <div class="mt-10" v-if="!isAdmin">
                  <p class="mb-0 text-center text-neutral-500 text-sm leading-5">
                    Not a seller yet? <span class="text-blue-500 cursor-pointer"
                      @click="$router.push('/auth/register')">
                      Create seller account
                    </span>
                  </p>
                </div> -->
                <!-- <div class="mt-2">
                  <nuxt-link to="/auth/register" class="text-decoration-none ">
                    <v-btn color="#F0F4FA" block class="elevation-0" :disabled="loading" height="40px">
                      <p class="mb-0 contentMain">CREATE NEW ACCOUNT</p>
                    </v-btn>
                  </nuxt-link>
                </div> -->
              </div>
            </div>
            <!-- <div class="mx-auto">
              <v-btn color="#3B82F6" outlined class="rounded-xl" @click="isAdmin = !isAdmin">
                <div class="flex items-center">
                  <v-icon color="#3B82F6"> mdi-swap-horizontal </v-icon>
                  <p class="mb-0 ml-3 text-none leading-6 text-blue-500" v-if="isAdmin">
                    Logging as Seller
                  </p>
                  <p class="mb-0 ml-3 text-none leading-6 text-blue-500" v-if="!isAdmin">
                    Logging as Admin
                  </p>
                </div>
              </v-btn>
            </div> -->
          </div>
        </v-card>
      </v-col>
    </v-row>
  </v-card>
</div>
